mulaichatDocs
GuidesDeveloperAPI ReferenceChangelog
Automations
GET
/v1/automations/{id}/runs

Each time it acted on someone: sent, skipped (with a reason) or failed. Newest first.

Requires the read scope.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Path Parameters

id*string
Formatuuid

Query Parameters

status?string
Value in"queued""sent""skipped""failed"
limit?integer
Range1 <= value <= 100
Default30
cursor?string

Header Parameters

mulaichat-workspace?string

Limits an owner key to one profile (id or external_id). Unknown: 404 profile_not_found.

Response Body

A page of runs.

application/json
  1. response
data*array<>
next_cursor*string|null
Example Request
curl -X GET 'https://api.mulaichat.com/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs'
Example Response
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "step": "trigger",      "status": "queued",      "reason": "string",      "participant_platform_id": "string",      "participant_username": "string",      "participant_name": "string",      "participant_avatar_url": "string",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "trigger_text": "string",      "trigger_ref": "string",      "run_at": "2019-08-24T14:15:22Z",      "clicked_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}

On this page